// Generated with EntitiesToDTOs.v2.1 (entitiestodtos.codeplex.com).
// Timestamp: 24/10/2012 - 14:22:18
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;
using System.Linq;

namespace UnboundColumnUpdatingHierarchy.Models
{

    /// <summary>
    /// Assembler for <see cref="Department"/> and <see cref="DepartmentDTO"/>.
    /// </summary>
    public static partial class DepartmentAssembler
    {
        /// <summary>
        /// Invoked when <see cref="ToDTO"/> operation is about to return.
        /// </summary>
        /// <param name="dto"><see cref="DepartmentDTO"/> converted from <see cref="Department"/>.</param>
        static partial void OnDTO(this Department entity, DepartmentDTO dto);

        /// <summary>
        /// Invoked when <see cref="ToEntity"/> operation is about to return.
        /// </summary>
        /// <param name="entity"><see cref="Department"/> converted from <see cref="DepartmentDTO"/>.</param>
        static partial void OnEntity(this DepartmentDTO dto, Department entity);

        /// <summary>
        /// Converts this instance of <see cref="DepartmentDTO"/> to an instance of <see cref="Department"/>.
        /// </summary>
        /// <param name="dto"><see cref="DepartmentDTO"/> to convert.</param>
        public static Department ToEntity(this DepartmentDTO dto)
        {
            if (dto == null) return null;

            Department entity = null;

            entity = new Department();

            entity.DepartmentID = dto.DepartmentID;
            entity.Name = dto.Name;
            entity.GroupName = dto.GroupName;
            entity.ModifiedDate = dto.ModifiedDate;

            dto.OnEntity(entity);

            return entity;
        }

        /// <summary>
        /// Converts this instance of <see cref="Department"/> to an instance of <see cref="DepartmentDTO"/>.
        /// </summary>
        /// <param name="entity"><see cref="Department"/> to convert.</param>
        public static DepartmentDTO ToDTO(this Department entity)
        {
            if (entity == null) return null;

            DepartmentDTO dto = null;

            dto = new DepartmentDTO();

            dto.DepartmentID = entity.DepartmentID;
            dto.Name = entity.Name;
            dto.GroupName = entity.GroupName;
            dto.ModifiedDate = entity.ModifiedDate;
            dto.Employees = entity.Employees.ToList().ConvertAll(x => x.ToDTO());
            entity.OnDTO(dto);

            return dto;
        }

        /// <summary>
        /// Converts this instance of <see cref="Department"/> to an instance of <see cref="DepartmentDTO"/>.
        /// </summary>
        /// <param name="entity"><see cref="Department"/> to convert.</param>
        public static DepartmentDTO ToSimpleDTO(this Department entity)
        {
            if (entity == null) return null;

            DepartmentDTO dto = null;

            dto = new DepartmentDTO();

            dto.DepartmentID = entity.DepartmentID;
            dto.Name = entity.Name;
            dto.GroupName = entity.GroupName;
            dto.ModifiedDate = entity.ModifiedDate;
            entity.OnDTO(dto);

            return dto;
        }
    }
}
