// Generated with EntitiesToDTOs.v2.1 (entitiestodtos.codeplex.com).
// Timestamp: 19/10/2012 - 11:40:53
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;
using System.Linq;
using GridUnboundColumn.Models;

namespace UnboundColumnUpdatingHierarchy.Models
{

    /// <summary>
    /// Assembler for <see cref="Person"/> and <see cref="PersonDTO"/>.
    /// </summary>
    public static partial class PersonAssembler
    {
        /// <summary>
        /// Invoked when <see cref="ToDTO"/> operation is about to return.
        /// </summary>
        /// <param name="dto"><see cref="PersonDTO"/> converted from <see cref="Person"/>.</param>
        static partial void OnDTO(this Person entity, PersonDTO dto);

        /// <summary>
        /// Invoked when <see cref="ToEntity"/> operation is about to return.
        /// </summary>
        /// <param name="entity"><see cref="Person"/> converted from <see cref="PersonDTO"/>.</param>
        static partial void OnEntity(this PersonDTO dto, Person entity);

        /// <summary>
        /// Converts this instance of <see cref="PersonDTO"/> to an instance of <see cref="Person"/>.
        /// </summary>
        /// <param name="dto"><see cref="PersonDTO"/> to convert.</param>
        public static Person ToEntity(this PersonDTO dto)
        {
            if (dto == null) return null;

            Person entity = null;

            entity = new Person();

            entity.BusinessEntityID = dto.BusinessEntityID;
            entity.PersonType = dto.PersonType;
            entity.NameStyle = dto.NameStyle;
            entity.Title = dto.Title;
            entity.FirstName = dto.FirstName;
            entity.MiddleName = dto.MiddleName;
            entity.LastName = dto.LastName;
            entity.Suffix = dto.Suffix;
            entity.EmailPromotion = dto.EmailPromotion;
            entity.AdditionalContactInfo = dto.AdditionalContactInfo;
            entity.Demographics = dto.Demographics;
            entity.rowguid = dto.rowguid;
            entity.ModifiedDate = dto.ModifiedDate;

            dto.OnEntity(entity);

            return entity;
        }

        /// <summary>
        /// Converts this instance of <see cref="Person"/> to an instance of <see cref="PersonDTO"/>.
        /// </summary>
        /// <param name="entity"><see cref="Person"/> to convert.</param>
        public static PersonDTO ToDTO(this Person entity)
        {
            if (entity == null) return null;

            PersonDTO dto = null;

            dto = new PersonDTO();

            dto.BusinessEntityID = entity.BusinessEntityID;
            dto.PersonType = entity.PersonType;
            dto.NameStyle = entity.NameStyle;
            dto.Title = entity.Title;
            dto.FirstName = entity.FirstName;
            dto.MiddleName = entity.MiddleName;
            dto.LastName = entity.LastName;
            dto.Suffix = entity.Suffix;
            dto.EmailPromotion = entity.EmailPromotion;
            dto.AdditionalContactInfo = entity.AdditionalContactInfo;
            dto.Demographics = entity.Demographics;
            dto.rowguid = entity.rowguid;
            dto.ModifiedDate = entity.ModifiedDate;
            dto.Employee_BusinessEntityID = entity.Employee.BusinessEntityID;

            entity.OnDTO(dto);

            return dto;
        }
    }
}
